Summary: Basic authentication for the Apache web server using a MySQL database.
Name: mod_auth_mysql
Version: 1.11
Release: 1.0.100
Group: System Environment/Daemons
URL: ftp://ftp.kciLink.com/pub/
Source: ftp://ftp.kciLink.com/pub/mod_auth_mysql.c.gz
Source1: ftp://ftp.kciLink.com/pub/mysql-group-auth.txt
License: Apache Software License
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: apache-devel, MySQL-devel
Requires: webserver

%description
mod_auth_mysql can be used to limit access to documents served by a web server
by checking data in a MySQL database.

%prep
%setup -c -T
cp %{SOURCE0} %{SOURCE1} .
gunzip %{name}.c
cat %{name}.c | tail +84 | head -101 > %{name}.txt

%build
%{_sbindir}/apxs -c -o %{name}.so *.c -L%{_libdir}/mysql -lmysqlclient

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -m755 %{name}.so $RPM_BUILD_ROOT%{_libdir}/apache/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{name}.txt *.txt
%{_libdir}/apache/*.so

%changelog
* Fri Mar 01 2002 Jeff Baldwin <jeff_baldwin@unc.edu>
- initial package built for EnGarde Secure Linux
